import { type GraphqlEnumValue } from './enum.js';
import { type GraphqlVariablePlaceholder } from './variable-placeholder.js';
type GraphqlObjectValue = {
    [Key: string]: GraphqlValue;
};
type GraphqlPrimitiveValue = boolean | number | string | null;
export type GraphqlValue = GraphqlEnumValue | GraphqlObjectValue | GraphqlPrimitiveValue | GraphqlValue[] | GraphqlVariablePlaceholder;
export type NormalizedGraphqlValue = {
    serializedValue: string;
    referencedVariables: Set<string>;
};
export declare function normalizeGraphqlValue(value: GraphqlValue): NormalizedGraphqlValue;
export {};
//# sourceMappingURL=value.d.ts.map